# Class k.i.IProxyWidget(Interface):

Part of kiwi.interfaces View In Hierarchy

Known subclasses: kiwi.interfaces.IValidatableProxyWidget

IProxyWidget is a widget that can be attached to a proxy.

Signals:

      content-changed: This must be emitted when the content changes

Properties:

      data-type: string, data type of the model
      model-attribute: string, name of the attribute in the model

Method | read | Reads the content of the widget and returns in an appropriate
Method | update | Updates the content of the widget with a value

Inherited from Interface:

Class Method | providedBy | Undocumented

def read():
Reads the content of the widget and returns in an appropriate data type. ValueUnset is returned when the user has not modified the entry

def update(value):
Updates the content of the widget with a value